INADYN(8)

NAME
inadyn - A small DDNS client that helps maintain your presence on the Internet.

SYNOPSIS
inadyn [-h,--help] [-u,--username username] [-p,--password password] [-a,--alias alias[,hash]] [--input_file config_file] [--ip_server_name server[:port] url] [--dyndns_server_name name[:port]] [--dyndns_system service] [--proxy_server proxy[:port]] [--update_period msec] [--update_period_sec sec] [--forced_update_period sec] [--log_file log_file] [--background] [--verbose level] [--iterations num] [--change_persona uid[:gid]] [--syslog] [--bind_interface ifname] [--pifdile pid_file] [--exec exec_script] [--wildcard]

DESCRIPTION
inadyn is a client for `open' name servers, also known as DDNS service providers. That is, it lets you have an Internet name for your DHCP/PPPoE assigned system. Some of these services are free of charge for non-commercial use, others take a small fee, but also provide more domains to chose from.

Common DDNS service providers supported by inayn:
•   http://www.dyndns.org
•   http://freedns.afraid.org
•   http://zoneedit.com
•   http://www.no-ip.com
•   http://www.easydns.com
•   http://www.tzo.com
•   http://www.3322.org
•   http://www.dnsomatic.com
•   http://www.tunnelbroker.net, i.e., http://dns.he.net/
•   http://www.dynsip.org
•   http://www.sitelutions.com

The basic operation of inadyn is to periodically check whether the actual Internet accessible IP of your system is the same one that is recorded in the name server, and update the name server records when there is a mismatch.

OPTIONS

-h, --help
    Print a summary of the options to inadyn and exit.

-u, --username username
    The username, if applicable. This might be referred to as hash.

-p, --password password
    The password, if applicable.

-a, --alias alias[,hash]
    A host name alias. This option can appear multiple times, for each domain that has the same IP.

--input_file -AR -config_file
    The file name that contains inadyn command options exactly as specified in the command line syntax (adds to those already present on the cmd line). The default configuration file name is /opt/etc/inadyn.conf

is looked at automatically if
    inadyn is called without any command line options. The format is as expected for a UN*X config file; the hash character is used to comment entire lines. Spaces are ingored. The long options may be specified without -- if placed at the beginning of the line.

--ip_server_name server[:port] url
    The client IP is detected by calling 'url' from this 'server:port'. Defaults to http://checkip.dyndns.org /

--dyndns_server_name name[:port]
    The server that receives the update DNS requests. When no proxy is specified it is sufficient to set the dyndns_system so that the default servers will be taken. The option is useful for generic DynDNS services that support HTTP update.

--dyndns_server_url -path
    The update path on the DynDNS server.

--dyndns_system email@ddns-service.tld
    DNS service to connect to. Defaults to dyndns@dyndns.org
    dyndns@dyndns.org
        http://www.dyndns.org
    statdns@dyndns.org
        http://www.dyndns.org
    custom@dyndns.org
        http://www.dyndns.org
    default@freedns.afraid.org
        http://freedns.afraid.org
    default@zoneedit.com
        http://zoneedit.com
    default@no-ip.com
        http://www.no-ip.com
    default@easydns.com
        http://www.easydns.com
    default@tzo.com
        http://www.tzo.com
    dyndns@3322.org
        http://www.3322.org
    default@dnsomatic.com
        http://www.dnsomatic.com
    ipv6tb@he.net
        http://www.tunnelbroker.net, i.e., http://dns.he.net/
    default@dynsip.org
        http://www.dynsip.org
    default@sitelutions.com
        http://www.sitelutions.com
    custom@http_svr_basic_auth

--proxy_server proxy[:port]
    An HTTP proxy server name and port. The default is none.

--update_period msec
    How often the IP is checked. This value is in milliseconds (there are 1000 milliseconds in one second). The default is about 1 minute. The maximum is 10 days.

--update_period_sec sec
    How often the IP is checked. Here the value denotes seconds. The default is about 1 minute. The maximum value is 10 days.

--forced_update_period sec
    How often the IP should be updated even if it is not changed. The time should be given in seconds.

--log_file log_file
    The name, including the full path, of a log file. See also the --syslog option, below.

--background
    Run in background. Output is sent to the UNIX syslog facilities or to a log file, if one was specified.

--verbose level
    Set the debug level, which is an integer between 0 to 5. Set the number of DNS updates. The default is 0, which means infinity. Use the system mechanism for log messages, warnings and error conditions.

--change_persona uid[:gid]
    After init changes user ID and group ID to the provided ones. This allows dropping unneeded [root] privileges after startup.

--bind_iface ifname
    Set interface to bind to. Works on UN*X systems only.

--pidfile -pid_file
    Set pidfile, defaults to /var/run/inadyn.pid.

--exec -exec_script
    Full path to external command, or script, to run after an IP update.

--wildcard
    Enable domain name wildcarding for dyndns.org, 3322.org, or easydns.com. Default disabled. For inadyn < 1.96.3 wildcarding was enabled by default.

TYPICAL USAGE

  http://www.dyndns.org
inadyn -u username -p password -a my.registered.name

inadyn --username test --password test --update_period 60000 --alias test.homeip.net --alias my.second.domain

inadyn ---background -u test -p test --update_period 60000 ---alias inarcis.homeip.net --alias my.second.domain --log_file inadyn_srv.log

  http://freedns.afraid.org
inadyn --dyndns_system default@freedns.afraid.org -a my.registrated.name,hash_from_freedns

inadyn --update_period 60000 --alias test.homeip.net,hash_for_host1 -a my.second.domain,hash2 --dyndns_system default@freedns.afraid.org

The 'hash' should be extracted from the grab url batch file that can be downloaded from the site. A single hashed (base64 encoded) string is preferred upon a username and password pair, apparently to reduce the computational resources that is required on their side. Unfortunately the hash can not be computed by inadyn because it requires the index to the username record in the freedns database, which is not known. The simplest solution seems to be a copy&paste action from the grab url batch file offered on their website. When the batch file looks is like

graburl http://freedns.afraid.org/dynamic/update.php?YUGIUGSEIUFGOUIHEOIFEOIHJFEIO=

the hash string, which is what the user should copy and paste, is the string that begins right after the '?' character and ends with the end of line. This string shell be used as the username in inadyn command. When the user has several names then each name should be followed with that name hash string.

OUTPUT
inadyn prints a message when the IP is updated. If no update is needed then by default it prints a single '.' character, unless --verbose is set to 0. Therefore, unless --verbose is set to 0, the log file will contains lot of dots. When the connection goes down it could be that inadyn will print some error messages. Those are harmless and should be followed by 'OK' messages after the connection is back up.

SIGNALS
inadyn responds to the following signals:

HUP Restarts inadyn. The configuration file is reread every time this signal is evoked.
TERM
    Terminates inadyn gracefully.
INT The same as TERM.
QUIT
    The same as TERM.

For convenience in sending signals, inadyn writes its process ID to /var/run/inadyn/inadyn.pid upon startup.

FILES
/opt/etc/inadyn.conf
/var/run/inadyn/inadyn.cache
/var/run/inadyn/inadyn.pid

SEE ALSO
inadyn.conf(5)
The inadyn home page is http://troglobit.com/inadyn.shtml

AUTHOR
inadyn was written by Narcis Ilisei <inarcis2002@hotpop.com>, Steve Horbachuk and later Joachim Nilsson <troglobit@vmlinux.org>.

This manual page was initially written for the Debian GNU/Linux system by Shaul Karl <shaul@debian.org>. Later Joachim Nilsson picked up maintenance.